> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mezmo.ferndocs.com/api-reference/pipeline/metrics/get-event-metrics-for-a-pipeline/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mezmo.ferndocs.com/_mcp/server. # Get event metrics for a pipeline GET https://api.mezmo.com/v3/pipeline/{pipeline_id}/event_metrics Query and fetch event metrics for a pipeline Reference: https://mezmo.ferndocs.com/api-reference/pipeline/metrics/get-event-metrics-for-a-pipeline ## Authentication - `Authorization` header (required) (prefixed with ` Token `) — Header authentication of the form `Token ` ## Request ### Path parameters - `pipeline_id` (string, required) ### Query parameters - `bucket` (double, required) — The interval, in seconds, over which events will be grouped - `field` (enum, optional, default: app) — The field in the event to group events by - Allowed values: `app`, `host`, `label`, `level` - `from` (datetime, required) — The event metrics start date - `to` (datetime, required) — The event metrics end date - `with_changes` (boolean, optional, default: false) — Include metric changes compared to the previous duration ## Response ### 200 Default Response ## Examples **Request** ```json {} ``` **Response** ```json {} ``` **SDK Code** ```python import requests url = "https://api.mezmo.com/v3/pipeline/3fa85f64-5717-4562-b3fc-2c963f66afa6/event_metrics" querystring = {"bucket":"3600","from":"2024-05-01T00:00:00Z","to":"2024-05-01T12:00:00Z","field":"app","with_changes":"true"} payload = {} headers = { "Authorization": "Token ", "Content-Type": "application/json" } response = requests.get(url, json=payload, headers=headers, params=querystring) print(response.json()) ``` ```javascript const url = 'https://api.mezmo.com/v3/pipeline/3fa85f64-5717-4562-b3fc-2c963f66afa6/event_metrics?bucket=3600&from=2024-05-01T00%3A00%3A00Z&to=2024-05-01T12%3A00%3A00Z&field=app&with_changes=true'; const options = { method: 'GET', headers: { Authorization: 'Token ', 'Content-Type': 'application/json' }, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.mezmo.com/v3/pipeline/3fa85f64-5717-4562-b3fc-2c963f66afa6/event_metrics?bucket=3600&from=2024-05-01T00%3A00%3A00Z&to=2024-05-01T12%3A00%3A00Z&field=app&with_changes=true" payload := strings.NewReader("{}") req, _ := http.NewRequest("GET", url, payload) req.Header.Add("Authorization", "Token ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.mezmo.com/v3/pipeline/3fa85f64-5717-4562-b3fc-2c963f66afa6/event_metrics?bucket=3600&from=2024-05-01T00%3A00%3A00Z&to=2024-05-01T12%3A00%3A00Z&field=app&with_changes=true") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Token ' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.mezmo.com/v3/pipeline/3fa85f64-5717-4562-b3fc-2c963f66afa6/event_metrics?bucket=3600&from=2024-05-01T00%3A00%3A00Z&to=2024-05-01T12%3A00%3A00Z&field=app&with_changes=true") .header("Authorization", "Token ") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('GET', 'https://api.mezmo.com/v3/pipeline/3fa85f64-5717-4562-b3fc-2c963f66afa6/event_metrics?bucket=3600&from=2024-05-01T00%3A00%3A00Z&to=2024-05-01T12%3A00%3A00Z&field=app&with_changes=true', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Token ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.mezmo.com/v3/pipeline/3fa85f64-5717-4562-b3fc-2c963f66afa6/event_metrics?bucket=3600&from=2024-05-01T00%3A00%3A00Z&to=2024-05-01T12%3A00%3A00Z&field=app&with_changes=true"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Token "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Token ", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.mezmo.com/v3/pipeline/3fa85f64-5717-4562-b3fc-2c963f66afa6/event_metrics?bucket=3600&from=2024-05-01T00%3A00%3A00Z&to=2024-05-01T12%3A00%3A00Z&field=app&with_changes=true")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```